Sales

Send sale message

POST
/v3/aftermarket/customers/{customerId}/sales/{transactionId}/sendMessage

Send a message to the TA Agent for a sale transaction.

Authorization

sso-key
headerAuthorization<token>

Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET

Path Parameters

customerId*string

An identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.

Match^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$
Default"my"
transactionId*string

Transaction ID of a sale

Header Parameters

X-Request-Id?string

A unique identifier for the request

Request Body

application/json
  1. body

Request body for sending a message to a sale transaction

message*string

Message to send to the buyer

Length1 <= length <= 1000

Response Body

Message sent successfully

Example Request
curl -X POST 'https://api.afternic.com/v3/aftermarket/customers/my/sales/string/sendMessage' \  -H 'Content-Type: application/json' \  -d '{  "message": "Please provide the auth code for the domain transfer."}'
Example Response
Empty